> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unyte.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific customer's details

> This endpoint returns detailed information for a specific customer, including their contact information, policies, claims, and transactions.



## OpenAPI

````yaml get /api/v1/customers/{id}/
openapi: 3.0.3
info:
  title: Superpool API
  version: 2.0.0
  description: >-
    Insurance infrastructure for Financial Institutions, Insurers, and
    Insurtechs
  contact:
    name: Unyte Africa LTD.
    url: https://ng.unyte.africa
    email: tech@unyte.com
servers: []
security: []
paths:
  /api/v1/customers/{id}/:
    get:
      tags:
        - Customers
      summary: Retrieve a specific customer's details
      description: >-
        This endpoint returns detailed information for a specific customer,
        including their contact information, policies, claims, and transactions.
      operationId: v1_customers_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerInformation'
              examples:
                ViewCustomerDetails:
                  value:
                    customer_id: 943f160c-5b70-4a54-a5f9-9967a9d0adf6
                    full_name: Seun Tee
                    customer_email: lorddro1532@gmail.com
                    customer_phone: '07037005640'
                    date_of_birth: 2025-01-01/10/25
                    address: 2, Hello, World, Lagos, Nigeria
                    purchased_policies:
                      - policy_id: 89725483-1a5d-4572-bc55-00cb18160385
                        policy_type: Gadget
                        status: active
                        start_date: '2025-01-23'
                        end_date: '2026-01-23'
                        premium_amount: '100000.00'
                      - policy_id: 650d6a02-7a8d-4352-8dd4-59c690c6ca8d
                        policy_type: Travel
                        status: active
                        start_date: '2025-01-12'
                        end_date: '2026-01-12'
                        premium_amount: '4724.93'
                      - policy_id: 655ad233-695b-4681-b3e7-173fe01de0be
                        policy_type: Travel
                        status: active
                        start_date: '2025-01-12'
                        end_date: '2026-01-12'
                        premium_amount: '4724.93'
                    active_policies:
                      - policy_id: 578cdd43-1a7f-4581-bc71-313d0b08bfe7
                        policy_type: Travel
                        status: active
                        start_date: '2025-02-13'
                        end_date: '2026-02-13'
                        premium_amount: '4724.93'
                      - policy_id: df887183-ea13-4f60-be2d-bef7659f663e
                        policy_type: Gadget
                        status: active
                        start_date: '2025-02-05'
                        end_date: '2026-02-05'
                        premium_amount: '100000.00'
                      - policy_id: d17bf068-52b3-4cbb-afa5-784465401a9d
                        policy_type: Travel
                        status: active
                        start_date: '2025-01-12'
                        end_date: '2026-01-12'
                        premium_amount: '4724.93'
                      - policy_id: 552a0d6a-3fcc-4d73-a673-6bb2d9c973e9
                        policy_type: Travel
                        status: active
                        start_date: '2025-01-12'
                        end_date: '2026-01-10'
                        premium_amount: '4724.93'
                    active_claims: []
                  summary: View customer details
          description: View customer information
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ClientKeyAuth: []
components:
  schemas:
    CustomerInformation:
      type: object
      description: Formats the full information displayed about a merchant's customer
      properties:
        customer_id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          readOnly: true
        customer_email:
          type: string
          format: email
        customer_phone:
          type: string
        date_of_birth:
          type: string
          format: date
        address:
          type: string
          readOnly: true
          description: Physical address of the customer
        purchased_policies:
          type: object
          additionalProperties: {}
          readOnly: true
        active_policies:
          type: object
          additionalProperties: {}
          readOnly: true
        active_claims:
          type: object
          additionalProperties: {}
          readOnly: true
      required:
        - active_claims
        - active_policies
        - address
        - customer_email
        - customer_id
        - customer_phone
        - date_of_birth
        - full_name
        - purchased_policies
  securitySchemes:
    ClientKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````